Package org.codehaus.groovy.ast.expr

# Class ArgumentListExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.TupleExpression
org.codehaus.groovy.ast.expr.ArgumentListExpression

All Implemented Interfaces:
  `Iterable<Expression>`

public class ArgumentListExpression extends TupleExpression
Represents one or more arguments being passed into a method

Author:
  James Strachan

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ArgumentListExpression`
`EMPTY_ARGUMENTS`
`static final Object[]`
`EMPTY_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`ArgumentListExpression()`
`ArgumentListExpression(List<Expression> expressions)`
`ArgumentListExpression(Expression expr)`
`ArgumentListExpression(Expression[] expressions)`
`ArgumentListExpression(Expression expr1, Expression expr2)`
`ArgumentListExpression(Expression expr1, Expression expr2, Expression expr3)`
`ArgumentListExpression(Parameter[] parameters)`

## Method Summary

Modifier and Type
Method
Description
`Expression`
`transformExpression(ExpressionTransformer transformer)`
Return a copy of the expression calling the transformer on any nested expressions
`void`
`visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.TupleExpression

`addExpression, getExpression, getExpressions, getText, iterator, toString`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### EMPTY_ARRAY

public static final Object[] EMPTY_ARRAY

### EMPTY_ARGUMENTS

public static final ArgumentListExpression EMPTY_ARGUMENTS

## Constructor Details

### ArgumentListExpression

public ArgumentListExpression()

### ArgumentListExpression

public ArgumentListExpression(List<Expression> expressions)

### ArgumentListExpression

public ArgumentListExpression(Expression[] expressions)

### ArgumentListExpression

public ArgumentListExpression(Parameter[] parameters)

### ArgumentListExpression

public ArgumentListExpression(Expression expr)

### ArgumentListExpression

public ArgumentListExpression(Expression expr1, Expression expr2)

### ArgumentListExpression

public ArgumentListExpression(Expression expr1, Expression expr2, Expression expr3)

## Method Details

### transformExpression

public Expression transformExpression(ExpressionTransformer transformer)
Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Overrides:
  `transformExpression` in class `TupleExpression`
Parameters:
  `transformer` -

### visit

public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `TupleExpression`